summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-cdr/burncdda
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-cdr/burncdda')
-rw-r--r--app-cdr/burncdda/Manifest1
-rw-r--r--app-cdr/burncdda/burncdda-1.8.0.ebuild35
-rw-r--r--app-cdr/burncdda/metadata.xml12
3 files changed, 48 insertions, 0 deletions
diff --git a/app-cdr/burncdda/Manifest b/app-cdr/burncdda/Manifest
new file mode 100644
index 00000000000..9e7d02c138a
--- /dev/null
+++ b/app-cdr/burncdda/Manifest
@@ -0,0 +1 @@
+DIST burncdda-1.8.0.tar.gz 23795 SHA256 cd0caf43040e70ccd15df7377feeed667487e2dfa125858843898fcb462b6299 SHA512 798d2f6c51005dc87d1214e82cc5b2227bdf34b93b0457382cb0eb86a1426be9e61df5029460b42842cb730b806934447f6adb9ed7e6674e69d4910799b3ee92 WHIRLPOOL c07dd54c367b9ef27b738dbe655390eef74b0af835281b5c89c1cd41a8a7fb9d3a766f63a18e255930fc2a25237706852f462b301a662e108a05eeb10ee49f43
diff --git a/app-cdr/burncdda/burncdda-1.8.0.ebuild b/app-cdr/burncdda/burncdda-1.8.0.ebuild
new file mode 100644
index 00000000000..218f93287ab
--- /dev/null
+++ b/app-cdr/burncdda/burncdda-1.8.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+DESCRIPTION="Console app for copying burning audio cds"
+HOMEPAGE="http://www.thenktor.homepage.t-online.de/burncdda"
+SRC_URI="http://www.thenktor.homepage.t-online.de/burncdda/download/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ppc ~sparc x86"
+IUSE="flac mp3 vorbis"
+
+DEPEND="dev-util/dialog
+ app-cdr/cdrdao
+ virtual/cdrtools
+ mp3? ( media-sound/mpg123
+ media-sound/mp3_check )
+ vorbis? ( media-sound/vorbis-tools )
+ flac? ( media-libs/flac )
+ media-sound/normalize
+ media-sound/sox"
+
+src_install() {
+ dobin ${PN} || die "dobin failed."
+
+ insinto /usr/lib/${PN}
+ doins *.func || die "doins failed."
+
+ insinto /etc
+ doins ${PN}.conf || die "doins failed."
+
+ dodoc CHANGELOG
+ doman burncdda.1.gz
+}
diff --git a/app-cdr/burncdda/metadata.xml b/app-cdr/burncdda/metadata.xml
new file mode 100644
index 00000000000..b8ea64ff3be
--- /dev/null
+++ b/app-cdr/burncdda/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>media-optical</herd>
+<longdescription>
+ burnCDDA is a console frontend to cdrdao, cdrecord, mpg123, oggdec, mppdec,
+ flac, normalize, and mp3_check. It can be used to create audio CDs from an
+ M3U playlist (the playlist format of XMMS and amaroK). It supports MP3, OGG
+ Vorbis, Musepack, FLAC, and WAV files, and it might be the easiest way to
+ copy an audio CD.
+</longdescription>
+</pkgmetadata>